pamusb-agent(1)

NAME
pamusb-agent - pam_usb event handler, triggers configured commands on device removal and/or plug.

SYNOPSIS
pamusb-agent [--help] [--config=path] [--daemon] [--check=path]

DESCRIPTION
pamusb-agent is in charge of executing commands upon device insertion (once authenticated through pam_usb) and removal.

Please note that it's not intended to be manually run but to be started by your init system as a system service.

See the wiki at https://github.com/mcdope/pam_usb/wiki/Configuration#agent for more information on how to setup pamusb-agent.

OPTIONS

--help, -h
    Show summary of options.

--config, -c
    Use the given configuration file (defaults to /etc/security/pam_usb.conf)

--daemon, -d
    Run pamusb-agent in the background.

--check, -cd
    Set the path to pamusb-check (defaults to /usr/bin/pamusb-check)

BUGS
Please report bugs on the Github issue tracker at https://github.com/mcdope/pam_usb/issues.

AUTHOR
Andrea Luzzardi <scox@sig11.org>, Tobias Bäumer <tobiasbaeumer@gmail.com>